<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class UsuarioController extends Controller
{
    public function index(Request $request) {
        $query = DB::table('usuarios');
        if ($request->filled('nome')) {
            $query->where('nome', 'like', '%' . $request->nome . '%');
        }
        if ($request->filled('nivel')) {
            $query->where('nivel_acesso', $request->nivel);
        }
        $usuarios = $query->get();
        return view('usuarios.index', compact('usuarios'));
    }

    public function edit($id) {
        $usuario = DB::table('usuarios')->where('id', $id)->first();
        return view('usuarios.edit', compact('usuario'));
    }

public function create()
{
    return view('usuarios.create');
}

    public function update(Request $request, $id) {
        DB::table('usuarios')->where('id', $id)->update([
            'nome' => $request->nome,
            'email' => $request->email,
            'nivel_acesso' => $request->nivel_acesso,
            'senha' => $request->filled('senha') ? Hash::make($request->senha) : DB::raw('senha')
        ]);
        return redirect()->route('usuarios.index')->with('success', 'Usuário atualizado com sucesso!');
    }

    public function destroy($id) {
        DB::table('usuarios')->where('id', $id)->delete();
        return redirect()->route('usuarios.index')->with('success', 'Usuário excluído.');
    }
}
