@extends('layouts.app')

@section('title', 'Usuários')

@section('content')
<h2 class="text-xl font-bold mb-4">Usuários do Sistema</h2>

<a href="{{ route('usuarios.create') }}" class="bg-blue-600 text-white px-4 py-2 rounded mb-4 inline-block">Novo Usuário</a>

@if(session('success'))
    <div class="bg-green-200 p-2 rounded text-green-800 mb-2">
        {{ session('success') }}
    </div>
@endif

<table class="table-auto w-full border">
    <thead>
        <tr>
            <th class="border p-2">ID</th>
            <th class="border p-2">Nome</th>
            <th class="border p-2">Email</th>
            <th class="border p-2">Nível</th>
            <th class="border p-2">Ações</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($usuarios as $usuario)
        <tr>
            <td class="border p-2">{{ $usuario->id }}</td>
            <td class="border p-2">{{ $usuario->nome }}</td>
            <td class="border p-2">{{ $usuario->email }}</td>
            <td class="border p-2">{{ $usuario->nivel_acesso }}</td>
            <td class="border p-2">
                <a href="{{ route('usuarios.edit', $usuario) }}" class="text-blue-600 hover:underline">Editar</a>
            </td>
        </tr>
        @endforeach
    </tbody>
</table>
@endsection
