@extends('layouts.app')

@section('title', 'Login')

@section('content')
<div class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4 w-full max-w-md">
    <div class="text-center mb-4">
        <img src="{{ asset('logo.png') }}" class="h-12 mx-auto mb-2">
        <h1 class="text-xl font-bold text-gray-800">Login - SulredesTi Dtec</h1>
    </div>

    @if(session('status'))
        <div class="mb-4 text-green-600 font-medium text-sm">
            {{ session('status') }}
        </div>
    @endif

    @if ($errors->any())
        <div class="mb-4 text-red-600 text-sm">
            <ul class="list-disc pl-5">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form method="POST" action="{{ route('login') }}" autocomplete="on">
        @csrf

        <div class="mb-4">
            <label for="email" class="block text-sm mb-1">Email</label>
            <input id="email" type="email" name="email" value="{{ old('email') }}"
                class="w-full border border-gray-300 p-2 rounded" required autofocus placeholder="Digite seu email" autocomplete="username">
        </div>

        <div class="mb-4">
            <label for="password" class="block text-sm mb-1">Senha</label>
            <input id="password" type="password" name="password"
                class="w-full border border-gray-300 p-2 rounded"
                required placeholder="Digite sua senha" autocomplete="current-password">
        </div>

        <div class="flex items-center justify-between mb-4">
            <label class="flex items-center text-sm">
                <input type="checkbox" name="remember" class="mr-1"> Lembrar-me
            </label>
            <a href="{{ route('password.request') }}" class="text-sm text-blue-600 hover:underline">Esqueceu sua senha?</a>
        </div>

        <button type="submit" class="w-full bg-blue-700 text-white py-2 rounded hover:bg-blue-800">
            Entrar
        </button>
    </form>
</div>
@endsection
