@extends('layouts.app')

@section('content')
<div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Editar Cliente</h1>

    @if ($errors->any())
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('clientes.update', $cliente->id) }}" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        @csrf
        @method('PUT')

        <div>
            <label class="block mb-1 font-semibold">CPF/CNPJ</label>
            <input type="text" name="cpf_cnpj" value="{{ $cliente->cpf_cnpj }}" class="w-full px-4 py-2 border rounded" required disabled>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" value="{{ $cliente->email }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Telefone</label>
            <input type="text" name="telefone_principal" value="{{ $cliente->telefone_principal }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">CEP</label>
            <input type="text" name="cep" value="{{ $cliente->cep }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Logradouro</label>
            <input type="text" name="logradouro" value="{{ $cliente->logradouro }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Número</label>
            <input type="text" name="numero" value="{{ $cliente->numero }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Bairro</label>
            <input type="text" name="bairro" value="{{ $cliente->bairro }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Cidade</label>
            <input type="text" name="cidade" value="{{ $cliente->cidade }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Estado</label>
            <input type="text" name="estado" value="{{ $cliente->estado }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div class="md:col-span-2 text-right mt-4">
            <button type="submit" class="bg-blue-600 text-white px-6 py-2 rounded hover:bg-blue-700 transition">Atualizar Cliente</button>
        </div>
    </form>
</div>
@endsection
