@extends('layouts.app')

@section('content')
<div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Editar Usuário</h1>

    @if ($errors->any())
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('usuarios.update', $usuario->id) }}" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        @csrf
        @method('PUT')

        <div>
            <label class="block mb-1 font-semibold">Nome</label>
            <input type="text" name="nome" value="{{ $usuario->nome }}" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" value="{{ $usuario->email }}" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Telefone</label>
            <input type="text" name="telefone" value="{{ $usuario->telefone }}" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Nível de Acesso</label>
            <select name="nivel_acesso" class="w-full px-4 py-2 border rounded" required>
                <option value="admin" {{ $usuario->nivel_acesso == 'admin' ? 'selected' : '' }}>Admin</option>
                <option value="gerente" {{ $usuario->nivel_acesso == 'gerente' ? 'selected' : '' }}>Gerente</option>
                <option value="tecnico" {{ $usuario->nivel_acesso == 'tecnico' ? 'selected' : '' }}>Técnico</option>
                <option value="atendente" {{ $usuario->nivel_acesso == 'atendente' ? 'selected' : '' }}>Atendente</option>
            </select>
        </div>

        <div class="md:col-span-2 text-right">
            <button type="submit" class="bg-blue-600 text-white px-6 py-2 rounded hover:bg-blue-700 transition">Atualizar</button>
        </div>
    </form>
</div>
@endsection
