@extends('layouts.app')

@section('content')
<div class="max-w-xl mx-auto bg-white p-6 rounded shadow">
    <h2 class="text-2xl font-bold mb-4">Cadastrar Novo Usuário</h2>

    @if ($errors->any())
        <div class="mb-4 text-red-600">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>• {{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('usuarios.store') }}" method="POST" class="space-y-4">
        @csrf
        <div>
            <label class="block font-semibold">Nome</label>
            <input type="text" name="nome" class="w-full border border-gray-300 p-2 rounded" required>
        </div>

        <div>
            <label class="block font-semibold">Email</label>
            <input type="email" name="email" class="w-full border border-gray-300 p-2 rounded" required>
        </div>

        <div>
            <label class="block font-semibold">Senha</label>
            <input type="password" name="senha" class="w-full border border-gray-300 p-2 rounded" required>
        </div>

        <div>
            <label class="block font-semibold">Telefone</label>
            <input type="text" name="telefone" class="w-full border border-gray-300 p-2 rounded">
        </div>

        <div>
            <label class="block font-semibold">Nível de Acesso</label>
            <select name="nivel_acesso" class="w-full border border-gray-300 p-2 rounded" required>
                <option value="admin">Administrador</option>
                <option value="gerente">Gerente</option>
                <option value="tecnico">Técnico</option>
                <option value="atendente">Atendente</option>
            </select>
        </div>

        <div class="flex items-center">
            <input type="checkbox" name="ativo" checked class="mr-2">
            <label>Ativo</label>
        </div>

        <button type="submit" class="bg-blue-600 text-white px-4 py-2 rounded hover:bg-blue-700">
            Salvar Usuário
        </button>
    </form>
</div>
@endsection
