
@extends('layouts.app')
@section('title', 'Usuários - SulredesTi Dtec')
@section('content')
<h2 class="text-xl font-bold mb-4">Usuários do Sistema</h2>
@if(session('success'))
  <div class="bg-green-100 text-green-700 p-2 mb-4 rounded">{{ session('success') }}</div>
@endif
<form method="GET" class="flex gap-2 mb-4">
  <input type="text" name="nome" placeholder="Buscar por nome" class="border p-2 rounded w-1/3" value="{{ request('nome') }}">
  <select name="nivel" class="border p-2 rounded">
    <option value="">Todos os níveis</option>
    <option value="admin">Admin</option>
    <option value="gerente">Gerente</option>
    <option value="tecnico">Técnico</option>
    <option value="atendente">Atendente</option>
  </select>
  <button type="submit" class="bg-blue-600 text-white px-4 rounded">Filtrar</button>
</form>
<table class="min-w-full bg-white shadow rounded">
  <thead class="bg-gray-100">
    <tr><th class="p-2 text-left">ID</th><th class="p-2 text-left">Nome</th><th class="p-2">Email</th><th class="p-2">Nível</th><th class="p-2">Ações</th></tr>
  </thead>
  <tbody>
    @foreach($usuarios as $user)
    <tr class="border-t">
      <td class="p-2">{{ $user->id }}</td>
      <td class="p-2">{{ $user->nome }}</td>
      <td class="p-2">{{ $user->email }}</td>
      <td class="p-2">{{ $user->nivel_acesso }}</td>
      <td class="p-2">
        <a href="{{ route('usuarios.edit', $user->id) }}" class="text-blue-600">Editar</a>
        <form method="POST" action="{{ route('usuarios.destroy', $user->id) }}" class="inline">@csrf @method('DELETE')
          <button class="text-red-600 ml-2" onclick="return confirm('Excluir este usuário?')">Excluir</button>
        </form>
      </td>
    </tr>
    @endforeach
  </tbody>
</table>
@endsection
