@extends('layouts.app')

@section('content')
<div class="max-w-xl mx-auto mt-10 bg-white p-6 rounded shadow">
    <h2 class="text-xl font-bold mb-4">Editar Usuário</h2>
    <form method="POST" action="{{ route('usuarios.update', $usuario->id) }}">
        @csrf
        @method('PUT')
        <div class="mb-4">
            <label for="nome" class="block">Nome</label>
            <input type="text" name="nome" class="w-full border rounded p-2" value="{{ $usuario->nome }}" required>
        </div>
        <div class="mb-4">
            <label for="email" class="block">Email</label>
            <input type="email" name="email" class="w-full border rounded p-2" value="{{ $usuario->email }}" required>
        </div>
        <div class="mb-4">
            <label for="nivel_acesso" class="block">Nível de Acesso</label>
            <select name="nivel_acesso" class="w-full border rounded p-2">
                <option value="admin" {{ $usuario->nivel_acesso == 'admin' ? 'selected' : '' }}>Admin</option>
                <option value="gerente" {{ $usuario->nivel_acesso == 'gerente' ? 'selected' : '' }}>Gerente</option>
                <option value="tecnico" {{ $usuario->nivel_acesso == 'tecnico' ? 'selected' : '' }}>Técnico</option>
                <option value="atendente" {{ $usuario->nivel_acesso == 'atendente' ? 'selected' : '' }}>Atendente</option>
            </select>
        </div>
        <div class="mb-4">
            <label for="telefone" class="block">Telefone</label>
            <input type="text" name="telefone" class="w-full border rounded p-2" value="{{ $usuario->telefone }}">
        </div>
        <div class="mb-4">
            <label for="senha" class="block">Senha (deixe em branco para não alterar)</label>
            <input type="password" name="senha" class="w-full border rounded p-2">
        </div>
        <button type="submit" class="bg-blue-600 text-white px-4 py-2 rounded">Atualizar</button>
    </form>
</div>
@endsection
