@extends('layouts.app')

@section('content')
<div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Criar Novo Usuário</h1>

    @if ($errors->any())
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('usuarios.store') }}" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        @csrf

        <div>
            <label class="block mb-1 font-semibold">Nome</label>
            <input type="text" name="nome" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Senha</label>
            <input type="password" name="senha" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Telefone</label>
            <input type="text" name="telefone" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Nível de Acesso</label>
            <select name="nivel_acesso" class="w-full px-4 py-2 border rounded" required>
                <option value="admin">Admin</option>
                <option value="gerente">Gerente</option>
                <option value="tecnico">Técnico</option>
                <option value="atendente">Atendente</option>
            </select>
        </div>

        <div class="md:col-span-2 text-right">
            <button type="submit" class="bg-green-600 text-white px-6 py-2 rounded hover:bg-green-700 transition">Salvar</button>
        </div>
    </form>
</div>
@endsection
