<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/teste-banco', function () {
    try {
        DB::connection()->getPdo();
        return "✅ Conectado com sucesso ao banco de dados!";
    } catch (\Exception $e) {
        return "❌ Erro na conexão: " . $e->getMessage();
    }
});

Route::get('/atendimentos/kpis', function () {
    try {
        // Testa se a tabela existe
        if (!DB::getSchemaBuilder()->hasTable('atendimentos')) {
            return response()->json(['erro' => true, 'mensagem' => 'Tabela atendimentos n達o existe'], 500);
        }

        // KPIs reais
        $total = DB::table('atendimentos')->count();
        $andamento = DB::table('atendimentos')->where('status_id', 3)->count();
        $concluidos = DB::table('atendimentos')->where('status_id', 7)->count();
        $pendentes = DB::table('atendimentos')->whereIn('status_id', [1, 2, 4, 5])->count();

        return response()->json([
            'atendimentos' => $total,
            'emAndamento' => $andamento,
            'concluidos' => $concluidos,
            'pendentes' => $pendentes,
        ]);

    } catch (\Exception $e) {
        return response()->json([
            'erro' => true,
            'mensagem' => $e->getMessage()
        ], 500);
    }
});

Route::get('/', function () {
    return view('pages.dashboard');
});

Route::get('/', fn() => view('auth.login'));
Route::get('/atendimentos', fn() => view('pages.atendimentos'));
Route::get('/dashboard', fn() => view('pages.dashboard'));
Route::get('/dashboard', fn() => view('dashboard.index'));




