<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\DB;

Route::get('/atendimentos/kpis', function () {
    try {
        // Testa se a tabela existe
        if (!DB::getSchemaBuilder()->hasTable('atendimentos')) {
            return response()->json(['erro' => true, 'mensagem' => 'Tabela atendimentos não existe'], 500);
        }

        // KPIs reais
        $total = DB::table('atendimentos')->count();
        $andamento = DB::table('atendimentos')->where('status_id', 3)->count();
        $concluidos = DB::table('atendimentos')->where('status_id', 7)->count();
        $pendentes = DB::table('atendimentos')->whereIn('status_id', [1, 2, 4, 5])->count();

        return response()->json([
            'atendimentos' => $total,
            'emAndamento' => $andamento,
            'concluidos' => $concluidos,
            'pendentes' => $pendentes,
        ]);

    } catch (\Exception $e) {
        return response()->json([
            'erro' => true,
            'mensagem' => $e->getMessage()
        ], 500);
    }
});
