<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Criar Novo Usuário</h1>

    <?php if($errors->any()): ?>
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('usuarios.store')); ?>" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        <?php echo csrf_field(); ?>

        <div>
            <label class="block mb-1 font-semibold">Nome</label>
            <input type="text" name="nome" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Senha</label>
            <input type="password" name="senha" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Telefone</label>
            <input type="text" name="telefone" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Nível de Acesso</label>
            <select name="nivel_acesso" class="w-full px-4 py-2 border rounded" required>
                <option value="admin">Admin</option>
                <option value="gerente">Gerente</option>
                <option value="tecnico">Técnico</option>
                <option value="atendente">Atendente</option>
            </select>
        </div>

        <div class="md:col-span-2 text-right">
            <button type="submit" class="bg-green-600 text-white px-6 py-2 rounded hover:bg-green-700 transition">Salvar</button>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/usuarios/create.blade.php ENDPATH**/ ?>