<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Editar Cliente</h1>

    <?php if($errors->any()): ?>
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('clientes.update', $cliente->id)); ?>" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <div>
            <label class="block mb-1 font-semibold">CPF/CNPJ</label>
            <input type="text" name="cpf_cnpj" value="<?php echo e($cliente->cpf_cnpj); ?>" class="w-full px-4 py-2 border rounded" required disabled>
        </div>

        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" value="<?php echo e($cliente->email); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Telefone</label>
            <input type="text" name="telefone_principal" value="<?php echo e($cliente->telefone_principal); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">CEP</label>
            <input type="text" name="cep" value="<?php echo e($cliente->cep); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Logradouro</label>
            <input type="text" name="logradouro" value="<?php echo e($cliente->logradouro); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Número</label>
            <input type="text" name="numero" value="<?php echo e($cliente->numero); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Bairro</label>
            <input type="text" name="bairro" value="<?php echo e($cliente->bairro); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Cidade</label>
            <input type="text" name="cidade" value="<?php echo e($cliente->cidade); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold">Estado</label>
            <input type="text" name="estado" value="<?php echo e($cliente->estado); ?>" class="w-full px-4 py-2 border rounded">
        </div>

        <div class="md:col-span-2 text-right mt-4">
            <button type="submit" class="bg-blue-600 text-white px-6 py-2 rounded hover:bg-blue-700 transition">Atualizar Cliente</button>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/clientes/edit.blade.php ENDPATH**/ ?>