<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6">
    <div class="flex justify-between items-center mb-6">
        <h1 class="text-2xl font-bold text-gray-800">Clientes</h1>
        <a href="<?php echo e(route('clientes.create')); ?>" class="bg-green-600 text-white px-4 py-2 rounded hover:bg-green-700">+ Novo Cliente</a>
    </div>

    <form method="GET" action="<?php echo e(route('clientes.index')); ?>" class="flex flex-wrap gap-4 mb-6">
        <input type="text" name="nome" value="<?php echo e(request('nome')); ?>" placeholder="Nome / Razão Social" class="px-4 py-2 border rounded">
        <input type="text" name="cpf_cnpj" value="<?php echo e(request('cpf_cnpj')); ?>" placeholder="CPF/CNPJ" class="px-4 py-2 border rounded">
        <select name="tipo" class="px-4 py-2 border rounded">
            <option value="">Todos</option>
            <option value="PF" <?php echo e(request('tipo') == 'PF' ? 'selected' : ''); ?>>Pessoa Física</option>
            <option value="PJ" <?php echo e(request('tipo') == 'PJ' ? 'selected' : ''); ?>>Pessoa Jurídica</option>
        </select>
        <button type="submit" class="bg-blue-600 text-white px-4 py-2 rounded hover:bg-blue-700">Filtrar</button>
    </form>

    <div class="overflow-x-auto bg-white shadow rounded">
        <table class="min-w-full table-auto">
            <thead class="bg-gray-100 text-gray-700 text-sm uppercase">
                <tr>
                    <th class="px-6 py-3">Tipo</th>
                    <th class="px-6 py-3">Nome / Fantasia</th>
                    <th class="px-6 py-3">CPF/CNPJ</th>
                    <th class="px-6 py-3">Telefone</th>
                    <th class="px-6 py-3 text-right">Ações</th>
                </tr>
            </thead>
            <tbody class="text-gray-800">
                <?php $__empty_1 = true; $__currentLoopData = $clientes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cliente): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr class="border-t hover:bg-gray-50">
                        <td class="px-6 py-4"><?php echo e($cliente->tipo); ?></td>
                        <td class="px-6 py-4">
                            <?php echo e($cliente->tipo === 'PF' ? $cliente->nome_completo : $cliente->nome_fantasia); ?>

                        </td>
                        <td class="px-6 py-4"><?php echo e($cliente->cpf_cnpj); ?></td>
                        <td class="px-6 py-4"><?php echo e($cliente->telefone_principal); ?></td>
                        <td class="px-6 py-4 text-right">
                            <a href="<?php echo e(route('clientes.edit', $cliente->id)); ?>" class="text-blue-600 hover:underline mr-3">Editar</a>
                            <form action="<?php echo e(route('clientes.destroy', $cliente->id)); ?>" method="POST" class="inline" onsubmit="return confirm('Deseja excluir este cliente?');">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>
                                <button type="submit" class="text-red-600 hover:underline">Excluir</button>
                            </form>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <tr>
                        <td colspan="5" class="px-6 py-4 text-center text-gray-500">Nenhum cliente encontrado.</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>

    <div class="mt-6">
        <?php echo e($clientes->withQueryString()->links()); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/clientes/index.blade.php ENDPATH**/ ?>