<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6" x-data="{ tipo: 'PF' }">
    <h1 class="text-2xl font-bold text-gray-800 mb-6">Cadastro Completo de Cliente</h1>

    <?php if($errors->any()): ?>
        <div class="mb-4 p-4 bg-red-100 text-red-700 rounded-lg">
            <ul class="list-disc pl-5">
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('clientes.store')); ?>" method="POST" class="grid grid-cols-1 md:grid-cols-2 gap-6">
        <?php echo csrf_field(); ?>

        <!-- Tipo de Cliente -->
        <div class="md:col-span-2">
            <label class="block mb-1 font-semibold">Tipo de Pessoa</label>
            <select name="tipo" x-model="tipo" class="w-full px-4 py-2 border rounded">
                <option value="PF">Pessoa Física</option>
                <option value="PJ">Pessoa Jurídica</option>
            </select>
        </div>

        <!-- Documentos -->
        <div>
            <label class="block mb-1 font-semibold">CPF/CNPJ</label>
            <input type="text" name="cpf_cnpj" class="w-full px-4 py-2 border rounded" required>
        </div>

        <div x-show="tipo === 'PF'">
            <label class="block mb-1 font-semibold">Nome Completo</label>
            <input type="text" name="nome_completo" class="w-full px-4 py-2 border rounded">
        </div>

        <div x-show="tipo === 'PJ'">
            <label class="block mb-1 font-semibold">Razão Social</label>
            <input type="text" name="razao_social" class="w-full px-4 py-2 border rounded">
        </div>

        <div x-show="tipo === 'PJ'">
            <label class="block mb-1 font-semibold">Nome Fantasia</label>
            <input type="text" name="nome_fantasia" class="w-full px-4 py-2 border rounded">
        </div>

        <div x-show="tipo === 'PJ'">
            <label class="block mb-1 font-semibold">Inscrição Estadual</label>
            <input type="text" name="inscricao_estadual" class="w-full px-4 py-2 border rounded">
        </div>

        <div x-show="tipo === 'PJ'">
            <label class="block mb-1 font-semibold">Inscrição Municipal</label>
            <input type="text" name="inscricao_municipal" class="w-full px-4 py-2 border rounded">
        </div>

        <div x-show="tipo === 'PF'">
            <label class="block mb-1 font-semibold">RG</label>
            <input type="text" name="rg" class="w-full px-4 py-2 border rounded">
        </div>

        <div>
            <label class="block mb-1 font-semibold" x-text="tipo === 'PF' ? 'Data de Nascimento' : 'Data de Fundação'"></label>
            <input type="date" name="data_nascimento" class="w-full px-4 py-2 border rounded">
        </div>

        <!-- Contato -->
        <div>
            <label class="block mb-1 font-semibold">Email</label>
            <input type="email" name="email" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Telefone Principal</label>
            <input type="text" name="telefone_principal" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Telefone Secundário</label>
            <input type="text" name="telefone_secundario" class="w-full px-4 py-2 border rounded">
        </div>

        <!-- Endereço -->
        <div>
            <label class="block mb-1 font-semibold">CEP</label>
            <input type="text" name="cep" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Logradouro</label>
            <input type="text" name="logradouro" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Número</label>
            <input type="text" name="numero" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Complemento</label>
            <input type="text" name="complemento" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Bairro</label>
            <input type="text" name="bairro" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Cidade</label>
            <input type="text" name="cidade" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Estado</label>
            <input type="text" name="estado" class="w-full px-4 py-2 border rounded">
        </div>

        <!-- Estrutura e rede -->
        <div>
            <label class="block mb-1 font-semibold">Tipo de Unidade</label>
            <select name="tipo_unidade" class="w-full px-4 py-2 border rounded">
                <option value="matriz">Matriz</option>
                <option value="filial">Filial</option>
                <option value="independente">Independente</option>
            </select>
        </div>
        <div>
            <label class="block mb-1 font-semibold">Código da Filial</label>
            <input type="text" name="codigo_filial" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">IP LAN</label>
            <input type="text" name="ip_lan" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">IP WAN</label>
            <input type="text" name="ip_wan" class="w-full px-4 py-2 border rounded">
        </div>

        <!-- Periodicidades -->
        <div>
            <label class="block mb-1 font-semibold">Última Preventiva</label>
            <input type="date" name="ultima_preventiva" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Qtd. Colaboradores</label>
            <input type="number" name="qtd_colaboradores" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Certificação Última</label>
            <input type="date" name="certificacao_ultima" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Certificação Próxima</label>
            <input type="date" name="certificacao_proxima" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Segurança Última</label>
            <input type="date" name="seguranca_ultima" class="w-full px-4 py-2 border rounded">
        </div>
        <div>
            <label class="block mb-1 font-semibold">Segurança Próxima</label>
            <input type="date" name="seguranca_proxima" class="w-full px-4 py-2 border rounded">
        </div>

        <!-- Observações -->
        <div class="md:col-span-2">
            <label class="block mb-1 font-semibold">Observações</label>
            <textarea name="observacoes" class="w-full px-4 py-2 border rounded" rows="4"></textarea>
        </div>

        <!-- Botão -->
        <div class="md:col-span-2 text-right mt-4">
            <button type="submit" class="bg-green-600 text-white px-6 py-2 rounded hover:bg-green-700 transition">Salvar Cliente</button>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/clientes/create.blade.php ENDPATH**/ ?>