<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6">
    <div class="flex justify-between items-center mb-6"><h1 class="text-2xl font-bold text-gray-800">Usuários do Sistema</h1><a href="<?php echo e(route('usuarios.create')); ?>" class="bg-green-600 text-white px-4 py-2 rounded-lg hover:bg-green-700">+ Criar</a></div>

    <form method="GET" action="<?php echo e(route('usuarios.index')); ?>" class="flex flex-wrap gap-4 mb-6">
        <input type="text" name="nome" value="<?php echo e(request('nome')); ?>" placeholder="Nome do usuário"
            class="px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:outline-none focus:ring focus:border-blue-500">

        <select name="nivel" class="px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:outline-none focus:ring focus:border-blue-500">
            <option value="">Todos os níveis</option>
            <option value="admin" <?php echo e(request('nivel') == 'admin' ? 'selected' : ''); ?>>Admin</option>
            <option value="gerente" <?php echo e(request('nivel') == 'gerente' ? 'selected' : ''); ?>>Gerente</option>
            <option value="tecnico" <?php echo e(request('nivel') == 'tecnico' ? 'selected' : ''); ?>>Técnico</option>
            <option value="atendente" <?php echo e(request('nivel') == 'atendente' ? 'selected' : ''); ?>>Atendente</option>
        </select>

        <button type="submit" class="bg-blue-600 text-white px-4 py-2 rounded-lg hover:bg-blue-700 transition">
            Filtrar
        </button>
    </form>

    <div class="overflow-x-auto bg-white shadow-md rounded-lg">
        <table class="min-w-full table-auto">
            <thead class="bg-gray-100 text-gray-700 text-left text-sm uppercase">
                <tr>
                    <th class="px-6 py-3">Nome</th>
                    <th class="px-6 py-3">Email</th>
                    <th class="px-6 py-3">Nível de Acesso</th>
                    <th class="px-6 py-3">Ações</th>
                </tr>
            </thead>
            <tbody class="text-gray-800">
                <?php $__empty_1 = true; $__currentLoopData = $usuarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $usuario): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <tr class="border-t hover:bg-gray-50">
                    <td class="px-6 py-4"><?php echo e($usuario->nome); ?></td>
                    <td class="px-6 py-4"><?php echo e($usuario->email); ?></td>
                    <td class="px-6 py-4 capitalize"><?php echo e($usuario->nivel_acesso); ?></td>
                    <td class="px-6 py-4">
                        <a href="<?php echo e(route('usuarios.edit', $usuario->id)); ?>" class="text-blue-600 hover:underline mr-4">Editar</a>
                        <form action="<?php echo e(route('usuarios.destroy', $usuario->id)); ?>" method="POST" class="inline-block" onsubmit="return confirm('Tem certeza que deseja excluir?');">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button type="submit" class="text-red-600 hover:underline">Excluir</button>
                        </form>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <tr>
                    <td colspan="4" class="px-6 py-4 text-center text-gray-500">Nenhum usuário encontrado.</td>
                </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>

    <div class="mt-6">
        <?php echo e($usuarios->withQueryString()->links()); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/usuarios/index.blade.php ENDPATH**/ ?>