<!DOCTYPE html>
<html lang="pt-BR">
<head>
  <meta charset="UTF-8">
  <title>Login - SulredesTi Dtec</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
  <link rel="icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon">
</head>
<body class="bg-gray-100 font-sans text-gray-900 flex items-center justify-center min-h-screen">
  <div class="bg-white p-8 rounded shadow-md w-full max-w-md text-center">
    <img src="<?php echo e(asset('logo.png')); ?>" class="h-12 mx-auto mb-4">
    <h2 class="text-xl font-bold mb-4">Sistema de Atendimento</h2>

    <?php if($errors->any()): ?>
      <div class="text-red-600 text-sm mb-3">
        <?php echo e($errors->first()); ?>

      </div>
    <?php endif; ?>

    <form method="POST" action="<?php echo e(route('login')); ?>" class="space-y-4 text-left">
      <?php echo csrf_field(); ?>
      <div>
        <label>Email</label>
        <input type="email" name="email" autocomplete="email" placeholder="Digite seu email" class="w-full border p-2 rounded" required>
      </div>
      <div>
        <label>Senha</label>
        <input type="password" name="password" autocomplete="current-password" placeholder="Digite sua senha" class="w-full border p-2 rounded" required>
      </div>
      <div class="flex justify-between items-center">
        <label><input type="checkbox" name="remember"> Lembrar-me</label>
        <a href="#" class="text-sm text-blue-600">Esqueceu sua senha?</a>
      </div>
      <button type="submit" class="bg-blue-700 text-white px-4 py-2 rounded w-full">Entrar</button>
    </form>
  </div>
</body>
</html>
<?php /**PATH /home2/sulre108/sulredesti.tech/public_html/sistema-laravel/resources/views/auth/login.blade.php ENDPATH**/ ?>